<?php
if (!defined('IN_AJAX')) die(basename(__FILE__));

global $bb_cfg, $lang, $userdata, $datastore, $images;

if(IS_GUEST) $this->ajax_die('Вы должны авторизоваться на трекере');

if (!isset($this->request['mode']))
{
	$this->ajax_die($lang['SELECT_A_MODE']);
}

$mode = (string) $this->request['mode'];
$user_id = (int) $this->request['user_id'];
if($user_id == EXCLUDED_USERS_CSV) $this->ajax_die('Просмотр запрещен');
if($user_id == $userdata['user_id'])
{
	$thisAddUsr = $userdata['user_id'];
	$userset = $userdata;
}else{
	$thisAddUsr = DB()->fetch_row("SELECT user_id FROM ". BB_USERS ." WHERE user_id = $user_id LIMIT 1", 'user_id');
	if(!$thisAddUsr) $this->ajax_die('Юзер не найден');
	$userset = get_userdata($thisAddUsr);
}

switch($mode)
{
	case 'popup':
		//require(LANG_ROOT_DIR ."lang_{$userdata['user_lang']}/lang_user_where.php");
		$sql = CACHE('buf_where')->fetch_row("SELECT * FROM buf_where WHERE user_id = {$userdata['user_id']} ORDER BY time DESC LIMIT 1");
				
		if (!$ranks = $datastore->get('ranks'))
		{
			$datastore->update('ranks');
			$ranks = $datastore->get('ranks');
		}

		$user_rank = !empty($userset['user_rank']) ? $userset['user_rank'] : 0;

		if(isset($ranks[$user_rank]))
		{
			$rank_title = $ranks[$user_rank]['rank_title'];
			$rank_style = $ranks[$user_rank]['rank_style'];
		}
		if(empty($rank_title)) $rank_title = $lang['USER'];
		if(empty($rank_style)) $rank_style = '#00496c';

		if(!$bb_cfg['color_nick']) $rank_style = '';
								
		$last_activity = ($userset['user_session_time']) ? (bf($userset['user_opt'], 'user_opt', 'user_viewonline') && !IS_ADMIN) ? $lang['HIDDEN_USER'] : bb_date($userset['user_session_time'], 'Y-m-d H:i', 'false') : $lang['NEVER'];
				
		if (($sql['time'] >= (TIMENOW - 300)) && !bf($userset['user_opt'], 'user_opt', 'user_viewonline'))
		{
			$online = '<img src="'.$images['icon_online'].'" alt="'.$lang['ONLINE'].'" title="'.$lang['ONLINE'].'">';
		}
		else if (!bf($userset['user_opt'], 'user_opt', 'user_viewonline') == 0)
		{
			$online = '<img src="'.$images['icon_hidden'].'" alt="'.$lang['HIDDEN'].'" title="'.$lang['HIDDEN'].'">';
		}
		else if ($userset['user_id'] == GUEST_UID)
		{
			$online = '';
		}else{
			$online = '<img src="'.$images['icon_offline'].'" alt="'.$lang['OFFLINE'].'" title="'.$lang['OFFLINE'].'">';
		}
		$page_name = $title = $date = '';
		if($sql && $bb_cfg['where_user'])
		{
			if(!empty($lang['USER_WHERE_PAGE'][$sql['page_id']]))
			{
				$mode = array_key_exists($sql['mode'],$lang['USER_WHERE_PAGE'][$sql['page_id']]) ?  $sql['mode']  : 'DEFAULT';
				$page_name = $lang['USER_WHERE_PAGE'][$sql['page_id']][$mode];
			}else{
				$page_name ='error';
			}
			$title = ($sql['title'] == 0) ? '<a href="'.$sql['url'].'">'.htmlCHR($sql['title']).'</a>' : '';
			$date = delta_time($sql['time']);
		}
		$html = '';
		$html .= '
		<div id="User_PopUpS" class="PopUpS" style="top: 91.1px; left: 386.5px; display: block; position: fixed;width: 530px;">
		<div class="section">
		<h2 class="heading h1">Профиль пользователя '. $userset['username'] .'<button class="button" onclick="$(\'#User_PopUpS\').hide(\'slow\'); return false;" title="Закрыть" >Закрыть</button></h2>
		<div class="primaryContent">
			<div class="userpopup">
				<div>
					<div class="info">
						'.str_replace('<img', '<img class="photo"', get_avatar($userset['user_id'], $userset['avatar_ext_id'], !bf($userset['user_opt'], 'user_opt', 'allow_avatar'), '85', '85')).'
						<dl>
							<dt>'.$lang['ROLE'].'</dt>';
			$html .= ($rank_title) ? '<dd><span style="color:'. $rank_style .'">'. $rank_title .'</span></dd>' : "<dd>".$lang['USER']."</dd>";
			$html .= '
							<dt>'.$lang['POSTS'].':</dt>
							<dd><a href="'.make_url('search.php?search_author=1&uid='.$userset['user_id'].'').'">'.$userset['user_posts'].'</a></dd>
							<dt>'.$lang['REGISTER'].':</dt>
							<dd>'.bb_date($userset['user_regdate'], 'Y-m-d H:i', 'false').'</dd>
							<dt>'.$lang['LAST_ACTIVITY'].':</dt>
							<dd>'.$online.' '.$last_activity.'</dd>
			';
			$html .= ($sql && $bb_cfg['where_user']) ? '		
							<dt>'.$lang['LAST_TYPE'].':</dt>
							<dd>
							'.$page_name.'&nbsp;'.$title.'&nbsp;['.$date.' назад]
							</dd>
			' : '';
			$html .= '
						</dl>
					</div>
							
					<ul class="user_controls">
						<li><a href="'.make_url(PROFILE_URL . $userset['user_id'], $userset['username']).'" title="'.$lang['PROFILE_USER'].'"><img alt="'.$lang['READ_PROFILE_TXTB'].'" src="./images/user_add.png" /></a></li>
						<li><a href="'.make_url('privmsg.php?mode=post&u='.$userset['user_id'].'', $userset['username']).'" title="'.$lang['SEND_PRIVATE_MESSAGE'].'"><img alt="'.$lang['SEND_PM_TXTB'].'" src="./images/email_open.png" /></a></li>
						<li><a href="'.make_url('search.php?uid='.$userset['user_id'].'&amp;myt=1').'" title="'.$lang['SEARCH_USER_TOPICS'].'"><img alt="'.$lang['SEARCH_USER_TOPICS'].'" src="./images/page_topic_magnify.png" /></a></li>
						<li><a href="'.make_url('tracker.php?rid='.$userset['user_id'].'#results').'" title="'.$lang['SEARCH_RELEASES'].'"><img alt="'.$lang['SEARCH_RELEASES'].'" src="./images/page_torrent_magnify.png" /></a></li>
					</ul>
					<div class="reputation zero">
						<span class="number">Лайки: '.$userset['user_likes'].'</span>
					</div>
				</div>
			</div>
		</div>
		</div>
		';
		$this->response['html']	= $html;
		$this->response['popup'] = true;
	break;
	
	case 'stats':
		$btu = get_bt_userdata($userset['user_id']);
		
		$time_to_utd		= 'Обновить статистику.(Авто обновление будет: '.bb_date($btu['expire']).' )';
		$up_total			= humn_size($btu['u_up_total']);
		$up_bonus			= humn_size($btu['u_up_bonus']);
		$relesed			= humn_size($btu['u_up_release']);
		$down_total			= humn_size($btu['u_down_total']);
		$down_total_bytes	= $btu['u_down_total'];
		$user_ratio			= get_bt_ratio($btu);
		$min_dl_for_ratio	= humn_size(MIN_DL_FOR_RATIO);
		$min_dl_bytes		= MIN_DL_FOR_RATIO;
		$down_bytes			= $btu['u_down_total'] ?: 0;
		$auth_key			= ($btu['auth_key']) ? $btu['auth_key'] : $lang['NONE'];

		$td_dl				= humn_size($btu['down_today']);
		$td_ul				= humn_size($btu['up_today']);
		$td_rel				= humn_size($btu['up_release_today']);
		$td_bonus			= humn_size($btu['up_bonus_today']);
		$td_points			= ($btu['auth_key']) ? $btu['points_today'] : '0.00';

		$ys_dl				= humn_size($btu['down_yesterday']);
		$ys_ul				= humn_size($btu['up_yesterday']);
		$ys_rel				= humn_size($btu['up_release_yesterday']);
		$ys_bonus			= humn_size($btu['up_bonus_yesterday']);
		$ys_points			= ($btu['auth_key']) ? $btu['points_yesterday'] : '0.00';

		$speed_up			= humn_size($btu['speed_up'], 0, 'KB') .'/s';
		$speed_down			= humn_size($btu['speed_down'], 0, 'KB') .'/s';
		
		$seedbonus			= $userset['user_points'];
		
		$this->response['ratio']		= ($down_bytes > $min_dl_bytes) ? '<b>'.$user_ratio.'</b>' : '<b>'.$lang['NONE'].'</b> (DL < '.$min_dl_for_ratio.')';
		$this->response['downloaded']	= $down_total;
		$this->response['uploaded']		= $up_total;
		$this->response['relesed']		= $relesed;
		$this->response['bonus']		= $up_bonus;
		$this->response['seedbonus']	= $userset['user_points'];
		$this->response['time_update']	= '<span id="update_userstat" onclick="user_stats('.$userset['user_id'].', \'stats\')" class="clickable" data-tooltip="true" title="'.$time_to_utd.'">['.$lang['UPDATE'].']</span>';
		$this->response['stats']		= true;
	break;
	
	default:
		$this->ajax_die($lang['SELECT_A_MODE']);
	break;
}
$this->response['mode'] = $mode;
$this->response['user_id']	= $thisAddUsr;
